skksearch_0.0-23_i386.deb


Advertisement

Description

skksearch - SKK dictionary server handling multiple dictionaries

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: skksearch
Package version: 0.0
Package release: 23
Package architecture: i386
Package type: deb
Installed size: 68 B
Download size: 13.10 KB
Official Mirror: archive.ubuntu.com
skksearch is a dictionary server for SKK Japanese input systems. skksearch can deal with more than one dictionary and supports three types of dictionaries, that is, plain, Berkeley DB and cdb (DJB's constant database). skksearch is compatible with skkserv on the protocol behavior. It is called from an internet super-server. By default, this package uses the SKK dictionary cdb file `SKK-JISYO.cdb' that is provided by the skkdic-cdb package. Also, you can use other dictionary files such as the skkdic-extra package.

Alternatives

Provides

  • skkserv

Conflicts

  • skkserv

Replaces

  • skkserv

    Download

    Binary package: skksearch_0.0-23_i386.deb
    Source package: skksearch

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install skksearch deb package:
      # sudo apt-get install skksearch

    Files

    • /etc/skksearch.conf
    • /usr/sbin/skksearch
    • /usr/share/doc/skksearch/README.Debian
    • /usr/share/doc/skksearch/README.ja
    • /usr/share/doc/skksearch/changelog.Debian.gz
    • /usr/share/doc/skksearch/copyright
    • /usr/share/man/man8/skksearch.8.gz

    Changelog

    2015-04-26 - Tatsuya Kinoshita <tats@debian.org> skksearch (0.0-23) unstable; urgency=medium * Integrate Debian changes into 010_debian.patch * Update 010_debian.patch to 2015-01-28 * Update debian/copyright * Update Standards-Version to 3.9.6 * Add SKK-JISYO.lisp to skksearch.conf

    2014-08-24 - Tatsuya Kinoshita <tats@debian.org> skksearch (0.0-22) unstable; urgency=medium * Update Standards-Version to 3.9.5 * Update debian/copyright * Update Vcs-Browser from gitweb to cgit * Convert README.ja to UTF-8 at build time

    2012-09-01 - Tatsuya Kinoshita <tats@debian.org> skksearch (0.0-21) unstable; urgency=low * debian/rules: Revive the -Wall option for CFLAGS * debian/control: Fix Vcs-Browser * debian/patches/*: Revert the previous changes

    2012-07-08 - Tatsuya Kinoshita <tats@debian.org> skksearch (0.0-20) unstable; urgency=low * Use dpkg-buildflags to support hardening flags * debian/patches/*: Add DEP-3 header fields, and renumbered * Update copyright-format version to 1.0 * Update Vcs-* to anonscm.debian.org * Update Standards-Version to 3.9.3

    2011-05-10 - Tatsuya Kinoshita <tats@debian.org> skksearch (0.0-19) unstable; urgency=low [ Tatsuya Kinoshita ] * debian/control: - Update Vcs-* fields. - Update debhelper version to 6. [ Noritada Kobayashi ] * debian/compat: Bump to 6. * debian/control: Add new Vcs-Git and Vcs-Browser fields. * debian/skksearch.8: Make formatting improvements and corrections.

    2011-04-18 - Tatsuya Kinoshita <tats@debian.org> skksearch (0.0-18) unstable; urgency=low * Migration for libdb5.1. (closes: #621434) * debian/control: - Remove quilt from Build-Depends. - Update Standards-Version to 3.9.2. * debian/rules: Don't include patchsys-quilt.mk. * debian/skksearch.8: Typo fix. * debian/README.Debian: Doc fix for Berkeley DB 5.x. * debian/README.source: Removed. * debian/copyright: Switch to the DEP-5 format. * Switch to the dpkg-source 3.0 (quilt) format.

    2010-02-14 - Tatsuya Kinoshita <tats@debian.org> skksearch (0.0-17) unstable; urgency=low * debian/control: - Remove "Noritada Kobayashi" from Maintainer. (closes: #554079) - Move "Tatsuya Kinoshita" from Uploaders to Maintainer. - Update Standards-Version to 3.8.4. * debian/README.source: New file, mention that this package uses quilt to manage debian/patches. * debian/postinst: Use --remove and --add to completely replace an entry for update-inetd. * debian/postrm: When "remove", use --disable instead of --remove for update-inetd. * debian/copyright: Updated.

    2009-07-03 - Tatsuya Kinoshita <tats@debian.org> skksearch (0.0-16) unstable; urgency=low * debian/control: - Don't use alternatives in `Enhances:'. (closes: #526509, #534010) - libdb-dev transition. (thanks to Stephan Hermann) - Add `${misc:Depends}' to `Depends:'. - Update Standards-Version to 3.8.2. * debian/copyright: Updated.

    2007-09-18 - Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp> skksearch (0.0-15) unstable; urgency=low * Bump the required Berkeley DB library version to 4.6, with no code change. (closes: 442669) * debian/copyright: Bump copyright year to 2007.

    2007-04-23 - Noritada Kobayashi <nori1@dolphin.c.u-tokyo.ac.jp> skksearch (0.0-14) unstable; urgency=low * Switch the patch management system from dpatch to quilt. * debian/patches/clean-build-errors-and-warnings.diff: A new patch to clean build errors and warnings from gcc (currently gcc 4.1.1). * debian/skksearch.install: A new file to clean up the installation of debhelper-independently installed files. * debian/skksearch.conf: Add an entry for SKK-JISYO.JIS2004, a new dictionary provided by the skkdic-extra package since its version 20070411-1.

    Advertisement
    Advertisement